Bug 497578 - RHEL5 cmirror tracker: RFE - allow log converts of inactive cmirrors
RHEL5 cmirror tracker: RFE - allow log converts of inactive cmirrors
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 16:09 EDT by Corey Marthaler
Modified: 2014-11-12 17:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-12 17:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-04-24 16:09:15 EDT
Description of problem:
This is the RHEL5 cmirror version of bug 192865.

[root@taft-01 ~]# lvchange -an TAFT/cmirror

[root@taft-01 ~]# lvconvert -m 1 --corelog TAFT/cmirror
  Unable to convert the log of inactive cluster mirror cmirror

Version-Release number of selected component (if applicable):
lvm2-2.02.40-6.el5
lvm2-cluster-2.02.40-7.el5
Comment 1 Jonathan Earl Brassow 2009-10-14 10:56:54 EDT
The reason for this is that any information on the sync state of the mirror will be lost...  Seems like a pretty silly thing to do.  I might be willing to do it if the user is also asked if they want to procede.

Also, the given message seems fouled up and needs to be fixed.
Comment 2 Jonathan Earl Brassow 2009-10-14 10:57:38 EDT
I've changed the message in the upstream code to read:
  Unable to convert the log of an inactive cluster mirror, cmirror
Comment 3 Jonathan Earl Brassow 2009-10-14 11:02:30 EDT
Seems this works on single machine mirrors:

[root@bp-01 ~]# lvconvert --corelog vg/lv
Full resync required to convert inactive mirror vg-lv to core log. Proceed? [y/n]: y
  Logical volume lv converted.

So, this additional check may be there for a good reason...  Not high enough priority for me to guarantee 5.5.
Comment 5 Jonathan Earl Brassow 2010-01-26 16:03:06 EST
This check may be in place to guard against converting while another machine has the mirror active.  The solution may require acquiring the a lock on the mirror exclusively to perform the action.  I'm not going to change/enable this in 5.5.

Note You need to log in before you can comment on or make changes to this bug.